Runtime

## org.eclipse.gmf.runtime.notation.impl
Class ViewImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.ViewImpl

All Implemented Interfaces:
  EModelElement, EObject, InternalEObject, Notifier, View

Direct Known Subclasses:
  DiagramImpl, EdgeImpl, NodeImpl

public abstract class ViewImpl
extends EModelElementImpl
implements View

An implementation of the model object 'View'.

The following features are implemented:

- `Visible`
- `Type`
- `Mutable`
- `Source Edges`
- `Target Edges`
- `Persisted Children`
- `Styles`
- `Element`
- `Diagram`
- `Transient Children`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static EStructuralFeature[]` `childrenFeatures`
`protected EObject` `element` The cached value of the '`Element`' reference
`protected static int` `ELEMENT_ESETFLAG` The flag representing whether the Element reference has been set.
`protected static boolean` `MUTABLE_EDEFAULT` The default value of the '`Mutable`' attribute
`protected static int` `MUTABLE_EFLAG` The flag representing the value of the '`Mutable`' attribute
`protected EList` `persistedChildren` The cached value of the '`Persisted Children`' containment reference list
`protected EList` `sourceEdges` The cached value of the '`Source Edges`' reference list
`protected EList` `styles` The cached value of the '`Styles`' containment reference list
`protected EList` `targetEdges` The cached value of the '`Target Edges`' reference list
`protected EList` `transientChildren` The cached value of the '`Transient Children`' containment reference list
`protected java.lang.String` `type` The cached value of the '`Type`' attribute
`protected static java.lang.String` `TYPE_EDEFAULT` The default value of the '`Type`' attribute
`protected static boolean` `VISIBLE_EDEFAULT` The default value of the '`Visible`' attribute
`protected static int` `VISIBLE_EFLAG` The flag representing the value of the '`Visible`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ViewImpl()`

Method Summary
`Diagram` `basicGetDiagram()`
`EObject` `basicGetElement()`
`Node` `createChild(EClass eClass)`
`Style` `createStyle(EClass eClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList` `getChildren()`
`Diagram` `getDiagram()`
`EObject` `getElement()`
`EList` `getPersistedChildren()`
`EList` `getSourceEdges()`
`Style` `getStyle(EClass eClass)`
`EList` `getStyles()`
`EList` `getTargetEdges()`
`EList` `getTransientChildren()`
`java.lang.String` `getType()`
`EList` `getVisibleChildren()`
`void` `insertChild(View child)`
`void` `insertChild(View child, boolean persisted)`
`void` `insertChildAt(View child, int index)`
`boolean` `isMutable()`
`boolean` `isSetElement()`
`boolean` `isVisible()`
`void` `persist()`
`void` `persistChildren()`
`void` `removeChild(View child)`
`void` `setElement(EObject newElement)`
`void` `setMutable(boolean newMutable)`
`void` `setType(java.lang.String newType)`
`void` `setVisible(boolean newVisible)`
`java.lang.String` `toString()`
`void` `unsetElement()`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### VISIBLE_EDEFAULT

    protected static final boolean VISIBLE_EDEFAULT

  The default value of the '`Visible`' attribute.

  See Also:
    `ViewImpl.isVisible()`, Constant Field Values
  ** Generated **
  Ordered:

### VISIBLE_EFLAG

    protected static final int VISIBLE_EFLAG

  The flag representing the value of the '`Visible`' attribute.

  See Also:
    `ViewImpl.isVisible()`, Constant Field Values
  ** Generated **
  Ordered:

### TYPE_EDEFAULT

    protected static final java.lang.String TYPE_EDEFAULT

  The default value of the '`Type`' attribute.

  See Also:
    `ViewImpl.getType()`, Constant Field Values
  ** Generated **
  Ordered:

### type

    protected java.lang.String type

  The cached value of the '`Type`' attribute.

  See Also:
    `ViewImpl.getType()`
  ** Generated **
  Ordered:

### MUTABLE_EDEFAULT

    protected static final boolean MUTABLE_EDEFAULT

  The default value of the '`Mutable`' attribute.

  See Also:
    `ViewImpl.isMutable()`, Constant Field Values
  ** Generated **
  Ordered:

### MUTABLE_EFLAG

    protected static final int MUTABLE_EFLAG

  The flag representing the value of the '`Mutable`' attribute.

  See Also:
    `ViewImpl.isMutable()`, Constant Field Values
  ** Generated **
  Ordered:

### sourceEdges

    protected EList sourceEdges

  The cached value of the '`Source Edges`' reference list.

  See Also:
    `ViewImpl.getSourceEdges()`
  ** Generated **
  Ordered:

### targetEdges

    protected EList targetEdges

  The cached value of the '`Target Edges`' reference list.

  See Also:
    `ViewImpl.getTargetEdges()`
  ** Generated **
  Ordered:

### persistedChildren

    protected EList persistedChildren

  The cached value of the '`Persisted Children`' containment reference list.

  See Also:
    `ViewImpl.getPersistedChildren()`
  ** Generated **
  Ordered:

### styles

    protected EList styles

  The cached value of the '`Styles`' containment reference list.

  See Also:
    `ViewImpl.getStyles()`
  ** Generated **
  Ordered:

### element

    protected EObject element

  The cached value of the '`Element`' reference.

  See Also:
    `ViewImpl.getElement()`
  ** Generated **
  Ordered:

### ELEMENT_ESETFLAG

    protected static final int ELEMENT_ESETFLAG

  The flag representing whether the Element reference has been set.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### transientChildren

    protected EList transientChildren

  The cached value of the '`Transient Children`' containment reference list.

  See Also:
    `ViewImpl.getTransientChildren()`
  ** Generated **
  Ordered:

### childrenFeatures

    protected static final EStructuralFeature[] childrenFeatures

Constructor Detail

### ViewImpl

    protected ViewImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `View`
  Returns:
    the value of the 'Visible' attribute.
  See Also:
    `View.setVisible(boolean)`, `NotationPackage.getView_Visible()`
  ** Generated **

### setVisible

    public void setVisible(boolean newVisible)

  Specified by:
    `setVisible` in interface `View`
  Parameters:
    `newVisible` - the new value of the 'Visible' attribute.
  See Also:
    `View.isVisible()`
  ** Generated **

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `View`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `View.setType(String)`, `NotationPackage.getView_Type()`
  ** Generated **

### setType

    public void setType(java.lang.String newType)

  Specified by:
    `setType` in interface `View`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `View.getType()`
  ** Generated **
    NOT

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `View`
  Returns:
    the value of the 'Mutable' attribute.
  See Also:
    `View.setMutable(boolean)`, `NotationPackage.getView_Mutable()`
  ** Generated **

### setMutable

    public void setMutable(boolean newMutable)

  Specified by:
    `setMutable` in interface `View`
  Parameters:
    `newMutable` - the new value of the 'Mutable' attribute.
  See Also:
    `View.isMutable()`
  ** Generated **

### getSourceEdges

    public EList getSourceEdges()

  Specified by:
    `getSourceEdges` in interface `View`
  Returns:
    the value of the 'Source Edges' reference list.
  See Also:
    `NotationPackage.getView_SourceEdges()`, `Edge.getSource()`
  ** Generated **

### getTargetEdges

    public EList getTargetEdges()

  Specified by:
    `getTargetEdges` in interface `View`
  Returns:
    the value of the 'Target Edges' reference list.
  See Also:
    `NotationPackage.getView_TargetEdges()`, `Edge.getTarget()`
  ** Generated **

### getPersistedChildren

    public EList getPersistedChildren()

  Specified by:
    `getPersistedChildren` in interface `View`
  Returns:
    the value of the 'Persisted Children' containment reference list.
  See Also:
    `NotationPackage.getView_PersistedChildren()`
  ** Generated **

### getChildren

    public EList getChildren()

  Specified by:
    `getChildren` in interface `View`
  Returns:
    the value of the 'Children' list.
  See Also:
    `org.eclipse.gmf.runtime.notation.NotationPackage#getView_Children()`

### getStyles

    public EList getStyles()

  Specified by:
    `getStyles` in interface `View`
  Returns:
    the value of the 'Styles' containment reference list.
  See Also:
    `NotationPackage.getView_Styles()`
  ** Generated **

### getElement

    public EObject getElement()

  Specified by:
    `getElement` in interface `View`
  Returns:
    the value of the 'Element' reference.
  See Also:
    `View.isSetElement()`, `View.unsetElement()`, `View.setElement(EObject)`, `NotationPackage.getView_Element()`
  ** Generated **
    NOT

### basicGetElement

    public EObject basicGetElement()

  ** Generated **

### setElement

    public void setElement(EObject newElement)

  Specified by:
    `setElement` in interface `View`
  Parameters:
    `newElement` - the new value of the 'Element' reference.
  See Also:
    `View.isSetElement()`, `View.unsetElement()`, `View.getElement()`
  ** Generated **

### unsetElement

    public void unsetElement()

  Specified by:
    `unsetElement` in interface `View`
  See Also:
    `View.isSetElement()`, `View.getElement()`, `View.setElement(EObject)`
  ** Generated **

### isSetElement

    public boolean isSetElement()

  Specified by:
    `isSetElement` in interface `View`
  Returns:
    whether the value of the 'Element' reference is set.
  See Also:
    `View.unsetElement()`, `View.getElement()`, `View.setElement(EObject)`
  ** Generated **

### getDiagram

    public Diagram getDiagram()

  Specified by:
    `getDiagram` in interface `View`
  Returns:
    the value of the 'Diagram' reference.
  See Also:
    `NotationPackage.getView_Diagram()`
  ** Generated **

### basicGetDiagram

    public Diagram basicGetDiagram()

### getTransientChildren

    public EList getTransientChildren()

  Specified by:
    `getTransientChildren` in interface `View`
  Returns:
    the value of the 'Transient Children' containment reference list.
  See Also:
    `NotationPackage.getView_TransientChildren()`
  ** Generated **

### getStyle

    public Style getStyle(EClass eClass)

  Specified by:
    `getStyle` in interface `View`

### createChild

    public Node createChild(EClass eClass)

  Specified by:
    `createChild` in interface `View`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Node` object

### createStyle

    public Style createStyle(EClass eClass)

  Specified by:
    `createStyle` in interface `View`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Style` object

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

### persistChildren

    public void persistChildren()

  Specified by:
    `persistChildren` in interface `View`

### insertChild

    public void insertChild(View child)

  Specified by:
    `insertChild` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### insertChildAt

    public void insertChildAt(View child,
                              int index)

  Specified by:
    `insertChildAt` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### insertChild

    public void insertChild(View child,
                            boolean persisted)

  Specified by:
    `insertChild` in interface `View`
  Parameters:
    `child` - the 'View' to insert.

### removeChild

    public void removeChild(View child)

  Specified by:
    `removeChild` in interface `View`
  Parameters:
    `child` - the 'View' to remove

### persist

    public void persist()

  Specified by:
    `persist` in interface `View`

### getVisibleChildren

    public EList getVisibleChildren()

  Specified by:
    `getVisibleChildren` in interface `View`
  Returns:
    Unmodifable list of Visible children

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.